# Create base from package

`POST https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}/packages/{packageId}/install`

Creates a new base by installing a package template for an enterprise account, and returns the schema for the newly created base.

Provide the packageId as part of the request path and the packageReleaseId in the request body to create a base from a package template. You can retrieve them with the [List packages](https://airtable.com/developers/web/api/list-enterprise-packages.md) endpoint.

The package will be installed into a new base, creating all tables, fields, and views defined in the package.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.account:write`](https://airtable.com/developers/web/api/scopes.md#enterprise-account-write)
- **User role:** Enterprise admin
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `enterpriseAccountId: string`

- `packageId: string`

## Request body

- `name: string` — required

  The name for the new base.

- `packageReleaseId: string` — required

  The package release ID to install.

- `workspaceId: string` — required

  The workspace where the base will be created.

- `description: string | null` — optional

  Optional description for the base.

## Response format

- `id: string` — required

  Base ID, a unique identifier for a base.

- `tables: array<Table-model>` — required

### Example — Success response

```sh
curl -X POST "https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}/packages/{packageId}/install" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
--data '{
    "description": "A new enterprise managed app",
    "name": "New Enterprise Managed App",
    "packageReleaseId": "pkrsTB7Ic2RhsA4pe",
    "workspaceId": "wspmhESAta6clCCwF"
  }'
```

```json
{
  "id": "appLkNDICXNqxSDhG",
  "tables": [
    {
      "fields": [
        {
          "description": "Name of the field",
          "id": "fld1VnoyuotSTyxW1",
          "name": "Name",
          "type": "singleLineText"
        },
        {
          "id": "fldoi0c3GaRQJ3xnI",
          "name": "Notes about the field",
          "type": "singleLineText"
        }
      ],
      "id": "tbltp8DGLhqbUmjK1",
      "name": "New Enterprise Managed App 1",
      "primaryFieldId": "fld1VnoyuotSTyxW1",
      "views": [
        {
          "id": "viwQpsuEDqHFqegkp",
          "name": "Grid view",
          "type": "grid"
        }
      ]
    }
  ]
}
```
